.show-post-sec .post-details .post-img {
   max-height: 500px;
}

.show-post-sec .post-details .post-date-views {
   margin-block: 20px;
   display: flex;
   align-items: center;
}

.show-post-sec .post-details .post-date-views i.dot {
   font-size: 5px;
   margin-inline: 10px;
}

.show-post-sec .post-details .post-title {
   font-size: 35px;
}

.show-post-sec .post-details .post-content {
   margin-block: 30px;
   line-height: 1.8;
}

.show-post-sec .post-details .share-on {
   display: flex;
   align-items: center;
}

.show-post-sec .post-details .share-on h4 {
   font-size: 15px;
   margin-bottom: 0;
}

.show-post-sec .post-details #social-links ul {
   list-style: none;
   padding: 0;
   display: flex;
   margin-bottom: 0;
}

.show-post-sec .post-details #social-links ul li a {
   margin-inline: 10px;
   width: 35px;
   height: 35px;
   border-radius: 50%;
   display: flex;
   align-items: center;
   justify-content: center;
   text-decoration: none;
}

.show-post-sec .post-details #social-links ul li:first-of-type a {
   background-color: #1877F2;
}

.show-post-sec .post-details #social-links ul li:nth-of-type(2) a {
   background-color: #1DA1F2;
}

.show-post-sec .post-details #social-links ul li:nth-of-type(3) a {
   background-color: #0A66C2;
}

.show-post-sec .post-details #social-links ul li:last-of-type a {
   background-color: #25D366;
}

.show-post-sec .post-details #social-links ul li a span {
   color: #FFFFFF;
   font-size: 15px;
}

.show-post-sec .post-details #social-links ul li:first-of-type a span:before {
   content: "\f39e";
}

.show-post-sec .post-details #social-links ul li:nth-of-type(3) a span:before {
   content: "\f0e1";
}

.show-post-sec .comments {
   margin-block: 50px;
}

.show-post-sec .comments .title {
   margin-bottom: 20px;
   font-size: 25px;
}

.show-post-sec .comments .comments-details .box {
   background-color: var(--site_second_color);
   border: 2px solid var(--site_fourth_color);
   padding: 30px;
   border-radius: 12px;
   margin-bottom: 30px;
}

.show-post-sec .comments .comments-details .box .main-box {
   display: flex;
   flex-wrap: wrap;
}

.show-post-sec .comments .comments-details .box .left-sec {
   width: 90px;
   height: 90px;
}

.show-post-sec .comments .comments-details .box .left-sec img {
   width: 100%;
   height: 100%;
   border-radius: 50%;
}

.show-post-sec .comments .comments-details .box .right-sec {
   width: calc(100% - 120px);
}

.show-post-sec .comments .comments-details .box .right-sec .comment-content {
   font-size: 13px;
   line-height: 2;
}

.show-post-sec .comments .comments-details .box .right-sec .date-reply {
   display: flex;
   align-items: center;
   justify-content: space-between;
}

.show-post-sec .comments .comments-details .box .right-sec .date-reply .reply,
.show-post-sec .comments .comments-details .box .right-sec .date-reply .date {
   display: flex;
   align-items: center;
}

.show-post-sec .comments .comments-details .box .right-sec .date-reply .reply i,
.show-post-sec .comments .comments-details .box .right-sec .date-reply .date i {
   font-size: 20px;
}

.show-post-sec .comments .comments-details .box .right-sec .date-reply .reply .reply-btn,
.show-post-sec .comments .comments-details .box .right-sec .date-reply .date span {
   font-size: 12px;
   color: var(--site_text_color);
}

.show-post-sec .comments .comments-details .box .right-sec .date-reply .reply .reply-btn {
   padding-inline: 0;
}

.show-post-sec .comments .comments-details .box .horizontal-line {
   margin-top: 30px;
   height: 2px;
   background-color: var(--site_fourth_color);
   margin-bottom: 30px;
   width: 100%;
}

.show-post-sec .comments .comments-details .box .replies .box-inside {
   margin-bottom: 30px;
}

.show-post-sec .comments .comments-details .box .replies .box-inside .box-inside-main {
   display: flex;
   flex-wrap: wrap;
}

.show-post-sec .comments .comments-details .box .box-inside .horizontal-line {
   margin-bottom: 0;
}

.show-post-sec .comments .comments-details .box .box-inside:last-of-type {
   margin-bottom: 0;
}

.show-post-sec .comments .comments-details .box .box-inside:last-of-type .horizontal-line {
   display: none;
}

.show-post-sec .right-box .recent-posts,
.show-post-sec .right-box .popular-posts {
   background-color: var(--site_second_color);
   border: 2px solid var(--site_fourth_color);
   padding: 30px;
   border-radius: 12px;
}

.show-post-sec .right-box .recent-posts .title,
.show-post-sec .right-box .popular-posts .title {
   margin-bottom: 20px;
   font-size: 22px;
}

.show-post-sec .right-box .recent-posts .box,
.show-post-sec .right-box .popular-posts .box {
   margin-bottom: 20px;
}

.show-post-sec .right-box .recent-posts .box a,
.show-post-sec .right-box .popular-posts .box a {
   color: var(--site_text_color);
   text-decoration: none;
}

.show-post-sec .right-box .recent-posts .box a:hover,
.show-post-sec .right-box .popular-posts .box a:hover {
   color: var(--site_fourth_color);
}

.show-post-sec .right-box .recent-posts .box .box-parent,
.show-post-sec .right-box .popular-posts .box .box-parent {
   display: flex;
   align-items: center;
}

.show-post-sec .right-box .recent-posts .box:last-of-type,
.show-post-sec .right-box .popular-posts .box:last-of-type {
   margin-bottom: 0;
}

.show-post-sec .right-box .recent-posts .box .img,
.show-post-sec .right-box .popular-posts .box .img {
   width: 100px;
   height: 70px;
}

.show-post-sec .right-box .recent-posts .box .img img,
.show-post-sec .right-box .popular-posts .box .img img {
   width: 100%;
   height: 100%;
   border-radius: 10px;
}

.show-post-sec .right-box .recent-posts .box .content,
.show-post-sec .right-box .popular-posts .box .content {
   width: calc(100% - 120px);
}

.show-post-sec .right-box .recent-posts .box .content h5,
.show-post-sec .right-box .popular-posts .box .content h5 {
   margin-bottom: 0;
   font-size: 14px;
   line-height: 1.7;
}

.show-post-sec .leave-comment h4 {
   margin-bottom: 20px;
   font-size: 20px;
}

.show-post-sec .leave-comment form textarea {
   border-color: var(--site_fourth_color);
   background-color: var(--site_fourth_color);
   color: var(--site_text_color);
}

.show-post-sec .leave-comment form textarea::placeholder {
   color: var(--site_text_color);
}

.show-post-sec .leave-comment form .leave-comment-btn {
   border-color: var(--site_fourth_color);
   background-color: var(--site_fourth_color);
   color: var(--site_text_color);
   margin-top: 30px;
   padding: 10px 50px;
}

.show-post-sec .comment-must-login {
   color: var(--site_fourth_color);
   font-weight: bold;
   font-size: 17px;
}


#commentModal .modal-content .modal-body textarea ,
#replyCommentModal .modal-content .modal-body textarea {
   background: none;
   color: var(--site_text_color);
   font-size: 16px;
   border: 2px solid var(--site_fourth_color);
}


#commentModal .modal-content .modal-body textarea::placeholder ,
#replyCommentModal .modal-content .modal-body textarea::placeholder {
   color: var(--site_text_color);
}

.form-control.is-invalid {
   border-color: #dc3545 !important;
}

@media (max-width: 767.98px) {

   .show-post-sec .comments .comments-details .box {
      padding: 20px;
   }
   .show-post-sec .comments .comments-details .box .left-sec {
      width: 100%;
      height: 90px;
      margin-bottom: 20px;
   }

   .show-post-sec .comments .comments-details .box .left-sec img {
      width: 100px;
   }

   .show-post-sec .comments .comments-details .box .right-sec {
      width: 100%;
   }
}
